Summary:	DHCP Client Daemon
Summary(de.UTF-8):	DHCPC-Dämon
Summary(es.UTF-8):	Cliente (daemon) DHCP
Summary(fr.UTF-8):	Démon DHCPC
Summary(pl.UTF-8):	Klient (daemon) DHCP
Summary(pt_BR.UTF-8):	Servidor DHCPC
Summary(tr.UTF-8):	DHCPC sunucu süreçi (daemon)
Name:		dhcpcd
Version:	9.4.1
Release:	1
License:	BSD
Group:		Networking/Daemons
Source0:	http://roy.marples.name/downloads/dhcpcd/%{name}-%{version}.tar.xz
# Source0-md5:	2b2f46648bc96979f96127f0e0e07d9b
URL:		http://roy.marples.name/projects/dhcpcd
BuildRequires:	linux-libc-headers
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_libexecdir	%{_libdir}/%{name}

%description
dhcpcd is an implementation of the DHCP client specified in
draft-ietf-dhc-dhcp-09 (when -r option is not specified) and RFC1541
(when -r option is specified).

It gets the host information (IP address, netmask, broadcast address,
etc.) from a DHCP server and configures the network interface of the
machine on which it is running. It also tries to renew the lease time
according to RFC1541 or draft-ietf-dhc-dhcp-09.

%description -l de.UTF-8
dhcpcd ist eine Implementierung des DHCP-Client, spezifiziert in
draft-ietf-dhc-dhcp-09 (wenn -r option nicht angegeben) und RFC1541
(wenn -r option angegeben).

Es bezieht die Host-Infos (IP-Adresse, Netmask, Broadcast-Adresse,
usw.) von einem DHCP-Server und konfiguriert die Netzschnittstelle des
Computers, auf dem es läuft Es versucht, die Verleihzeit gemäß RFC1541
bzw. draft-ietf-dhc-dhcp-09 zu verlängern.

%description -l es.UTF-8
dhcpcd es una implementación del cliente DHCP especificado en
draft-ietf-dhc-dhcp-09 (cuando la opción -r no está especificada) y
RFC1541 (cuando la opción -r está especificada). Captura la
información del host (dirección IP, máscara de red, dirección de
broadcast, etc.) de un servidor DHCP y configura la interface de red
de la máquina donde esté ejecutando. También intenta renovar el tiempo
de alquiler de los direcciones de acuerdo con RFC1541 o
draft-ietf-dhc-dhcp-09.

%description -l fr.UTF-8
dhcpcd est une implantation du client DHCP spécifié dans les
draft-ietf-dhc-dhcp-09 (sans l'option -r) et RFC1541 (avec l'option
- -r).

Il obtient l'information sur l'hôte (adresse IP, masque réseau,
adresse de diffusion, etc.) à partir d'un serveur DHCP et configure
l'interface réseau de la machine sur laquelle il tourne. Il essaie
aussi de renouveler le « lease time » selon les RFC1541 ou
draft-ietf-dhc-dhcp-09.

%description -l pl.UTF-8
dhcpd jest implementacją klienta DHCP, opisaną w
draft-ietf-dhc-dhcp-09 (kiedy nie podaje się opcji -r) oraz RFC1544
(kiedy podaje się opcję -r).

Pobiera on informacje o komputerze (adres IP, maska sieci, adres
rozgłoszeniowy itd.) i konfiguruje interfejs sieciowy maszyny, na
której jest uruchomiony. Próbuje również odświeżyć czas przestoju
zgodnie z RFC1541 oraz draft-ietf-dhc-dhcp-09.

%description -l pt_BR.UTF-8
dhcpcd é uma implementação do cliente DHCP especificado em
draft-ietf-dhc-dhcp-09 (quando a opção -r não é especificada) e
RFC1541 (quando a opção -r é especificada). Ele captura a informação
do host (endereço IP, máscara de rede, endereço de broadcast, etc.) de
um servidor DHCP e configura a interface de rede da máquina em que
está rodando. Ele também tenta renovar o tempo de aluguel dos
endereços de acordo com RFC1541 ou draft-ietf-dhc-dhcp-09.

%description -l tr.UTF-8
Makina bilgilerini (IP adresi, ağ maskesi, yayın adresi, vb.) bir DHCP
sunucusundan alır ve üzerinde çalıştığı makinanın ağ arayüzünü
ayarlar. Ayrıca RFC1541 veya draft-ietf-dhc-dhcp-09'a uygun olarak,
kira zamanını (lease time) yenilemeye çalışır.

%prep
%setup -q

%build
%configure \
	--dbdir=%{_sharedstatedir}/dhcpcd

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sharedstatedir}/dhcpcd}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT%{_sysconfdir}/dhcpcd.{enter-hook,exit-hook}

# our rc-scripts do wpa_supplicant job, so skip it
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/hooks/10-wpa_supplicant

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*-hook
%attr(755,root,root) %{_sbindir}/dhcpcd
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/dev
%attr(755,root,root) %{_libdir}/%{name}/dev/udev.so
%dir %{_libdir}/%{name}/dhcpcd-hooks
%attr(755,root,root) %{_libdir}/%{name}/dhcpcd-hooks/*
%attr(755,root,root) %{_libdir}/%{name}/dhcpcd-run-hooks
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/hooks
%{_datadir}/%{name}/hooks/15-timezone
%{_datadir}/%{name}/hooks/29-lookup-hostname
%{_datadir}/%{name}/hooks/50-yp.conf
%dir %{_sharedstatedir}/dhcpcd
%{_mandir}/man?/dhcpcd*.*
%changelog
* Wed Oct 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dhcpcd.git;a=log;h=master

* Wed Oct 27 2021 Jan Palus <atler@pld-linux.org> a0cf1d0
- updated deps

* Tue Oct 26 2021 Jan Palus <atler@pld-linux.org> 64c5230
- up to 9.4.1

* Wed Jan 06 2021 Jan Palus <atler@pld-linux.org> 60091ed
- up to 9.4.0

* Sun Oct 04 2020 Jan Palus <atler@pld-linux.org> aa40019
- up to 9.2.0

* Mon Jun 08 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 7841c15
- up to 9.1.1

* Thu Apr 23 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e52525
- up to 9.0.2

* Wed Jan 29 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> f7e15a2
- up to 8.1.6

* Wed Nov 06 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 4269699
- correct patch

* Wed Nov 06 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f13927
- rel 2; dhcpcd can become cpu hog on ipv4 renewal - fix that

* Wed Oct 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> c2f2b31
- up to 8.1.1; fixes checksum handling

* Fri Oct 11 2019 Adam Gołębiowski <adamg@pld-linux.org> 0fb86f9
- updated to 8.1.0

* Thu Aug 29 2019 Adam Gołębiowski <adamg@pld-linux.org> 84eef39
- updated to 8.0.3

* Thu Jun 27 2019 Adam Gołębiowski <adamg@pld-linux.org> 739dcad
- updated to 7.2.3

* Thu Apr 18 2019 Adam Gołębiowski <adamg@pld-linux.org> 19da851
- updated to 7.2.0

* Fri Feb 08 2019 Adam Gołębiowski <adamg@pld-linux.org> 328a4fc
- updated to 7.1.1

* Tue Oct 02 2018 Marcin Krol <hawk@tld-linux.org> 4a555cd
- updated to 7.0.8

* Wed Jul 25 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8db7a3e
- up to 7.0.7

* Sat Apr 07 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e36f59
- up to 7.0.3

* Sat Mar 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e8129f2
- up to 7.0.1

* Tue Jan 24 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f4b5c47
- up to 6.11.5

